package com.curiam.client.datos;

import java.util.ArrayList;

//Clase con el formato de una instancia del archivo ref.xml
public class Referencia {
	
	public int id;
	public String imagen;
	public ArrayList<Integer> referencias = new ArrayList<Integer>();
	
	public Referencia(){};
	
	public Referencia(int id, String img, ArrayList<Integer> refs){
		this.id = id;
		this.imagen = img;
		
		for(int i=0;i<refs.size();i++)
			referencias.add(refs.get(i));
	}

	public int getId() {
		return id;
	}

	public void setId(int id) {
		this.id = id;
	}

	public String getImagen() {
		return imagen;
	}

	public void setImagen(String imagen) {
		this.imagen = imagen;
	}

	public ArrayList<Integer> getReferencias() {
		return referencias;
	}

	public void setReferencias(ArrayList<Integer> referencias) {
		this.referencias = referencias;
	}
	public void setReferencia(Integer referencia) {
		this.referencias.add(referencia);
	}
	
}
